/* ===============================
   WRAPPER POD NAVBAR
================================ */

.theme-switch-wrapper {
  margin: 20px 30px 0 30px;  /* takie same jak navbar */
  display: flex;
  justify-content: flex-end;
}


/* ===============================
   SWITCH STYLE
================================ */

.switch {
  position: relative;
  width: 80px;
  height: 40px;
}

.switch input {
  display: none;
}

.slider {
  position: absolute;
  cursor: pointer;
  border: 3px solid #111;
  background: #f4c542;
  border-radius: 50px;
  inset: 0;
  transition: 0.3s ease;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 10px;
  font-size: 16px;
}

.slider::before {
  content: "";
  position: absolute;
  width: 28px;
  height: 28px;
  left: 6px;                /* 3px border + 3px luzu */
  top: 50%;
  transform: translateY(-50%);
  background: white;
  border-radius: 50%;
  transition: 0.3s ease;
}

input:checked + .slider {
  background: #2c3e50;
}

input:checked + .slider::before {
  left: calc(100% - 34px);  /* 28px width + 6px odstępu */
  transform: translateY(-50%);
}

.icon {
  pointer-events: none;
  z-index: 2;
}


/* =================================
   GLOBAL DARK MODE
================================= */

body {
  /* background: #ffffff; */
  transition: background 0.3s ease, color 0.3s ease;
}

/* CAŁY BODY */
body.dark {
  background: #111;
}

body.dark .services h3{color: #ffffff}

body.dark .slider {
  border: 3px solid #ffffff;
}

body.dark .animated-card .card-1, body.dark .animated-card .card-2, body.dark .animated-card .card-3 {
  border: 2px solid #ffffff;
}

body.dark .gradient-nav {
border: 2px solid rgba(255, 255, 255, 0.9);
}

body.dark .wave path{
  fill: #111;
}

body.dark body {
  color: #111;
}

body.dark .qr-code img {
  filter: invert(1);
}

body.dark .card-static img, .card-static svg {
   filter: invert(1);
}

/* NAVBAR */
body.dark .gradient-nav .logo {
  background: none;                 /* usuwa gradient */
  -webkit-background-clip: unset;
  -webkit-text-fill-color: white;   /* KLUCZOWE */
  background-clip: unset;
  color: white;
}

body.dark .gradient-nav .contact-info, body.dark .gradient-nav .contact-info .phone {
  color: white;
}

body.dark .services , body.dark .services h2 {
  background: #111;
}

body.dark .services h2 , body.dark .mega-column h4, body.dark .contact-section1 h2 { 
  color: white;
}

body.dark .gradient-nav {
  background: #1b1b1b;
  color: white;
}

body.dark .gradient-nav .nav-links a {
  color: white;
}

body.dark .mega-right h4, body.dark .mega-right .dropdown-item {
  color: black;
}

body.dark .mega-left {
  border-radius:10px;
  border-bottom-right-radius: 16px;
}

body.dark .gradient-nav .offer-link .arrow {
  width: 7px;
  height: 7px;
  display: inline-block;
  border-right: 2px solid #ffffff;
  border-bottom: 2px solid #ffffff;
  transform: rotate(45deg);
  transition: transform 0.3s ease;
}

body.dark .landing-subtitle strong {
  color: white;
}

body.dark .gradient-nav .offer-link.active .arrow {
  transform: rotate(-135deg);
}

body.dark .gradient-nav .nav-links a:hover {
  color: #00bfa5;
}

body.dark .landing-subtitle {
  color: white;
}

body.dark .statement{
  background-color: #111;
}

body.dark .statement h3 {
  color: white;
}

/* FAQ */
body.dark .faq-section {
  color: #181818;
  background-color: #111;
}

body.dark .faq-title {
  color: white;
  background: #111;
}

body.dark .faq-question {
  background: #222;
  color: #fff;
}

body.dark .faq-answer {
  background: #1a1a1a;
  color: #ccc;
}

body.dark .animated-card {
  background: #111;
}

/* CONTACT */

body.dark .mega-left {
  background: #111;
}

body.dark .contact-section h2, body.dark .animated-card p, body.dark .dropdown-item {
  color: rgb(255, 255, 255);
}

/* BUTTON */
body.dark .cta-button {
  background: #ffffff;
  color: #111;
}

body.dark .cta-button:hover {
  background: #ddd;
}



